kind: Deployment
apiVersion: apps/v1
metadata:
  annotations:
    deployment.kubernetes.io/revision: '1'
  resourceVersion: '156287'
  name: clusterresourceoverride-operator
  uid: 7c84546a-97fa-496e-b324-d5cd589e1ca8
  creationTimestamp: '2023-02-02T19:31:13Z'
  generation: 7
  namespace: clusterresourceoverride-operator
  ownerReferences:
    - apiVersion: operators.coreos.com/v1alpha1
      kind: ClusterServiceVersion
      name: clusterresourceoverride-operator.4.8.0-202212051626
      uid: c9f2059e-a4c3-4454-9985-e7f60f524742
      controller: false
      blockOwnerDeletion: false
  labels:
    olm.deployment-spec-hash: 65fc95b446
    olm.owner: clusterresourceoverride-operator.4.8.0-202212051626
    olm.owner.kind: ClusterServiceVersion
    olm.owner.namespace: clusterresourceoverride-operator
    operators.coreos.com/clusterresourceoverride.clusterresourceoverride-operator: ''
spec:
  replicas: 1
  selector:
    matchLabels:
      clusterresourceoverride.operator: 'true'
  template:
    metadata:
      name: clusterresourceoverride
      creationTimestamp: null
      labels:
        clusterresourceoverride.operator: 'true'
      annotations:
        olm.skipRange: '>=4.3.0 <4.8.0-202212051626'
        operators.openshift.io/valid-subscription: >-
          ["OpenShift Kubernetes Engine", "OpenShift Container Platform",
          "OpenShift Platform Plus"]
        olm.targetNamespaces: clusterresourceoverride-operator
        operatorframework.io/properties: >-
          {"properties":[{"type":"olm.gvk","value":{"group":"operator.autoscaling.openshift.io","kind":"ClusterResourceOverride","version":"v1"}},{"type":"olm.package","value":{"packageName":"clusterresourceoverride","version":"4.8.0-202212051626"}}]}
        repository: 'https://github.com/openshift/cluster-resource-override-operator'
        support: Red Hat
        alm-examples: |-
          [
            {
              "apiVersion": "operator.autoscaling.openshift.io/v1",
              "kind": "ClusterResourceOverride",
              "metadata": {
                "name": "cluster"
              },
              "spec": {
                "podResourceOverride": {
                  "spec": {
                    "memoryRequestToLimitPercent": 50,
                    "cpuRequestToLimitPercent": 25,
                    "limitCPUToMemoryPercent": 200
                  }
                }
              }
            }
          ]
        capabilities: Seamless Upgrades
        healthIndex: B
        olm.operatorNamespace: clusterresourceoverride-operator
        containerImage: >-
          registry.redhat.io/openshift4/ose-clusterresourceoverride-rhel8-operator@sha256:0b394403de5ad5cbf003a6df90e33b8a523ed7971b375eb1fccc8c4b3ea0b84e
        createdAt: 2019/11/15
        categories: OpenShift Optional
        description: >-
          An operator to manage the OpenShift ClusterResourceOverride Mutating
          Admission Webhook Server
        olm.operatorGroup: clusterresourceoverride-operator-z2ssh
        certifiedLevel: Primed
    spec:
      containers:
        - resources: {}
          readinessProbe:
            httpGet:
              path: /healthz
              port: 8080
              scheme: HTTP
            timeoutSeconds: 1
            periodSeconds: 10
            successThreshold: 1
            failureThreshold: 3
          terminationMessagePath: /dev/termination-log
          name: clusterresourceoverride-operator
          command:
            - /usr/bin/cluster-resource-override-admission-operator
          livenessProbe:
            httpGet:
              path: /healthz
              port: 8080
              scheme: HTTP
            initialDelaySeconds: 5
            timeoutSeconds: 1
            periodSeconds: 10
            successThreshold: 1
            failureThreshold: 3
          env:
            - name: OPERATOR_POD_NAMESPACE
              valueFrom:
                fieldRef:
                  apiVersion: v1
                  fieldPath: metadata.namespace
            - name: OPERAND_NAMESPACE
              valueFrom:
                fieldRef:
                  apiVersion: v1
                  fieldPath: metadata.namespace
            - name: OPERAND_IMAGE
              value: >-
                registry.redhat.io/openshift4/ose-clusterresourceoverride-rhel8@sha256:23c678bda6cf05bf9c7d7244eb3496ca0f3f86b1aac7441415ae1165808eca20
            - name: OPERAND_VERSION
              value: 1.0.0
            - name: OPERATOR_CONDITION_NAME
              value: clusterresourceoverride-operator.4.8.0-202212051626
          ports:
            - containerPort: 8080
              protocol: TCP
          imagePullPolicy: Always
          terminationMessagePolicy: File
          image: >-
            registry.redhat.io/openshift4/ose-clusterresourceoverride-rhel8-operator@sha256:0b394403de5ad5cbf003a6df90e33b8a523ed7971b375eb1fccc8c4b3ea0b84e
          args:
            - start
            - '--namespace=$(OPERAND_NAMESPACE)'
            - '--v=2'
      restartPolicy: Always
      terminationGracePeriodSeconds: 30
      dnsPolicy: ClusterFirst
      serviceAccountName: clusterresourceoverride-operator
      serviceAccount: clusterresourceoverride-operator
      securityContext: {}
      schedulerName: default-scheduler
  strategy:
    type: RollingUpdate
    rollingUpdate:
      maxUnavailable: 25%
      maxSurge: 25%
  revisionHistoryLimit: 1
  progressDeadlineSeconds: 600
status:
  observedGeneration: 7
  replicas: 1
  updatedReplicas: 1
  readyReplicas: 1
  availableReplicas: 1
  conditions:
    - type: Progressing
      status: 'True'
      lastUpdateTime: '2023-02-02T19:31:34Z'
      lastTransitionTime: '2023-02-02T19:31:14Z'
      reason: NewReplicaSetAvailable
      message: >-
        ReplicaSet "clusterresourceoverride-operator-5cf6c4757c" has
        successfully progressed.
    - type: Available
      status: 'True'
      lastUpdateTime: '2023-02-02T20:42:06Z'
      lastTransitionTime: '2023-02-02T20:42:06Z'
      reason: MinimumReplicasAvailable
      message: Deployment has minimum availability.
